OGRE: Ogre::ProfileHistory Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::ProfileHistory Struct Reference
Core » General

Represents a history of each profile during the duration of the app. More...

`#include <OgreProfiler.h>`

## Public Attributes
Real | currentTimeMillisecs
| The current frame time this profile has taken in milliseconds. More...
Real | currentTimePercent
| The current percentage of frame time this profile has taken. More...
uint | hierarchicalLvl
| The hierarchical level of this profile, 0 being the root profile. More...
Real | maxTimeMillisecs
| The maximum frame time this profile has taken in milliseconds. More...
Real | maxTimePercent
| The maximum percentage of frame time this profile has taken. More...
Real | minTimeMillisecs
| The minimum frame time this profile has taken in milliseconds. More...
Real | minTimePercent
| The minimum percentage of frame time this profile has taken. More...
uint | numCallsThisFrame
| The number of times this profile has been called each frame. More...
ulong | totalCalls
| The total number of times this profile was called (used to calculate average) More...
Real | totalTimeMillisecs
| The total frame time this profile has taken in milliseconds. More...
Real | totalTimePercent
| The total percentage of frame time this profile has taken. More...

## Detailed Description

Represents a history of each profile during the duration of the app.

## Member Data Documentation

## ◆ currentTimeMillisecs

Real Ogre::ProfileHistory::currentTimeMillisecs

The current frame time this profile has taken in milliseconds.

## ◆ currentTimePercent

Real Ogre::ProfileHistory::currentTimePercent

The current percentage of frame time this profile has taken.

Referenced by Ogre::ProfileInstance::watchForLimit(), Ogre::ProfileInstance::watchForMax(), and Ogre::ProfileInstance::watchForMin().

## ◆ hierarchicalLvl

uint Ogre::ProfileHistory::hierarchicalLvl

The hierarchical level of this profile, 0 being the root profile.

## ◆ maxTimeMillisecs

Real Ogre::ProfileHistory::maxTimeMillisecs

The maximum frame time this profile has taken in milliseconds.

## ◆ maxTimePercent

Real Ogre::ProfileHistory::maxTimePercent

The maximum percentage of frame time this profile has taken.

Referenced by Ogre::ProfileInstance::watchForMax().

## ◆ minTimeMillisecs

Real Ogre::ProfileHistory::minTimeMillisecs

The minimum frame time this profile has taken in milliseconds.

## ◆ minTimePercent

Real Ogre::ProfileHistory::minTimePercent

The minimum percentage of frame time this profile has taken.

Referenced by Ogre::ProfileInstance::watchForMin().

## ◆ numCallsThisFrame

uint Ogre::ProfileHistory::numCallsThisFrame

The number of times this profile has been called each frame.

## ◆ totalCalls

ulong Ogre::ProfileHistory::totalCalls

The total number of times this profile was called (used to calculate average)

## ◆ totalTimeMillisecs

Real Ogre::ProfileHistory::totalTimeMillisecs

The total frame time this profile has taken in milliseconds.

## ◆ totalTimePercent

Real Ogre::ProfileHistory::totalTimePercent

The total percentage of frame time this profile has taken.

The documentation for this struct was generated from the following file:

- OgreProfiler.h